import { createStore, combineReducers, applyMiddleware, compose } from "redux";
import mainReducer from "./reducers/mainReducer";
import thunk from "redux-thunk";

const composeEnhancers = window.__REDUX_DEVTOOLS_EXTENSION_COMPOSE__ || compose;

const enhancer = composeEnhancers(applyMiddleware(thunk));

export default createStore(mainReducer, enhancer); //вторым параметром идет
